<?php

//Admin page html callback
//Print out html for admin page
// check user capabilities
if (!current_user_can('manage_options')) {
    return;
}

//Get the active tab from the $_GET param
$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;

?>
<!-- Our admin page content should all be inside .wrap -->
<div class="wrap">
    <!-- Print the page title -->
    <div><img src="https://fortnox2.uniwinapp.com/images/Uniwin_118x60.png" class="uniwin-logo" /></div>
    <!-- Here are our tabs -->
    <nav class="nav-tab-wrapper">
        <a href="?page=uniwin-fortnox" class="nav-tab <?php if ($tab === null) : ?>nav-tab-active<?php endif; ?>">Connect</a>
        <a href="?page=uniwin-fortnox&tab=orders" class="nav-tab <?php if ($tab === 'orders') : ?>nav-tab-active<?php endif; ?>">Orders</a>
        <a href="?page=uniwin-fortnox&tab=products" class="nav-tab <?php if ($tab === 'products') : ?>nav-tab-active<?php endif; ?>">Products</a>
        <a href="?page=uniwin-fortnox&tab=invoice" class="nav-tab <?php if ($tab === 'invoice') : ?>nav-tab-active<?php endif; ?>">Invoice</a>
        <a href="?page=uniwin-fortnox&tab=accounts" class="nav-tab <?php if ($tab === 'accounts') : ?>nav-tab-active<?php endif; ?>">Accounts</a>
        <a href="?page=uniwin-fortnox&tab=shipping" class="nav-tab <?php if ($tab === 'shipping') : ?>nav-tab-active<?php endif; ?>">Shipping</a>
        <a href="?page=uniwin-fortnox&tab=support" class="nav-tab <?php if ($tab === 'support') : ?>nav-tab-active<?php endif; ?>">Support</a>
        <a href="?page=uniwin-fortnox&tab=logs" class="nav-tab <?php if ($tab === 'logs') : ?>nav-tab-active<?php endif; ?>">Logs</a>
    </nav>

    <div class="tab-content">
        <?php switch ($tab):
            case 'orders':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/orders.php';
                break;
            case 'products':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/product.php';
                break;
            case 'invoice':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/invoice.php';
                break;
            case 'accounts':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/accounts.php';
                break;
            case 'shipping':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/shipping.php';
                break;
            case 'support':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/support.php';
                break;
            case 'logs':
                include_once UNIWINFORT_PLUGIN_DIR . 'views/logs.php';
                break;
            case 'fortnoxauth':
                print_r($_REQUEST);
                exit;
            default:
                include_once UNIWINFORT_PLUGIN_DIR . 'views/connect.php';
                break;
        endswitch; ?>
    </div>
</div>
<?php
