<?php
$projects = Uniwin_Fortnox_Helpers::get_fortnox_projects();
$costcenters = Uniwin_Fortnox_Helpers::get_fortnox_costcenters();
$uf_ordersettings = json_decode(json_encode(get_option('uf_ordersettings')));
if (isset($_POST['submit'])) {
    unset($_POST['submit']);
    $data = $_POST;
    update_option('uf_ordersettings', $data);
    echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Settings updated successfully!</div>';
    $uf_ordersettings = json_decode(json_encode(get_option('uf_ordersettings')));
}
?>
<div style="padding:20px 0px">
    <form action="<?php echo admin_url() ?>admin.php?page=uniwin-fortnox&tab=orders" method="POST">
        <table class="form-table uniwin-fortnox-form-table">
            <tbody>
                <tr>
                    <th scope="row" class="titledesc">Enable Auto Sync</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Enable Auto Sync</span></legend>
                            <label for="uf_autosync">
                                <input name="autosync" id="uf_autosync" type="checkbox" value="1" <?php echo (isset($uf_ordersettings->autosync) && $uf_ordersettings->autosync == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Auto Sync When Order Status Is</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Auto Sync When Order Status Is</span></legend>
                            <label for="uf_autosync_status">
                                <select name="autosync_status" id="uf_autosync_status">
                                    <option value="pending" <?php echo (isset($uf_ordersettings->autosync_status) && $uf_ordersettings->autosync_status == 'pending') ? 'selected' : '' ?>>Pending</option>
                                    <option value="processing" <?php echo (isset($uf_ordersettings->autosync_status) && $uf_ordersettings->autosync_status == 'processing') ? 'selected' : '' ?>>Processing</option>
                                    <option value="completed" <?php echo (isset($uf_ordersettings->autosync_status) && $uf_ordersettings->autosync_status == 'completed') ? 'selected' : '' ?>>Completed</option>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Our reference</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Our reference</span></legend>
                            <label for="uf_our_reference">
                                <input name="our_reference" id="uf_our_reference" type="text" value="<?php echo $uf_ordersettings->our_reference ?? '' ?>">
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Display amounts excl. tax</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Display amounts excl. taxs</span></legend>
                            <label for="uf_excl_tax">
                                <input name="excl_tax" id="uf_excl_tax" type="checkbox" value="1" <?php echo (isset($uf_ordersettings->excl_tax) && $uf_ordersettings->excl_tax == '1') ? 'checked' : '' ?>>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Created Date</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Created Date</span></legend>
                            <label for="uf_created_date">
                                <select name="created_date" id="uf_created_date">
                                    <option value="" <?php echo (!isset($uf_ordersettings->created_date) || $uf_ordersettings->created_date == '') ? 'selected' : '' ?>>WooCommerce order date.</option>
                                    <option value="sync_date" <?php echo (isset($uf_ordersettings->created_date) && $uf_ordersettings->created_date == 'sync_date') ? 'selected' : '' ?>>Date when synced to Fortnox.</option>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Delivery Days</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Delivery Days</span></legend>
                            <label for="uf_delivery_days">
                                <input name="delivery_days" id="uf_delivery_days" type="number" value="<?php echo $uf_ordersettings->delivery_days ?? '' ?>">
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Project</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Project</span></legend>
                            <label for="uf_project">
                                <select name="project" id="uf_project">
                                    <option value="">No Projects</option>
                                    <?php
                                    if (!empty($projects['Projects'])) {
                                        foreach ($projects['Projects'] as $project) { ?>
                                            <option value="<?php echo $project['ProjectNumber']; ?>" <?php echo (isset($uf_ordersettings->project) && $uf_ordersettings->project == $project['ProjectNumber']) ? 'selected' : '' ?>><?php echo $project['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc">Cost Center</th>
                    <td class="forminp forminp-checkbox">
                        <fieldset>
                            <legend class="screen-reader-text"><span>Cost Center</span></legend>
                            <label for="uf_cost_center">
                                <select name="cost_center" id="uf_cost_center">
                                    <option value="">No Cost Centers</option>
                                    <?php
                                    if (!empty($costcenters['CostCenters'])) {
                                        foreach ($costcenters['CostCenters'] as $costcenter) { ?>
                                            <option value="<?php echo $costcenter['Code']; ?>" <?php echo (isset($uf_ordersettings->cost_center) && $uf_ordersettings->cost_center == $costcenter['Code']) ? 'selected' : '' ?>><?php echo $costcenter['Description']; ?></option>
                                    <?php }
                                    } ?>
                                </select>
                            </label>
                        </fieldset>
                    </td>
                </tr>
                <tr>
                    <th scope="row" class="titledesc"></th>
                    <td class="forminp forminp-checkbox">
                        <button class="button-primary" type="submit" name="submit">Save</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>