<?php
$termsofdeliveries = Uniwin_Fortnox_Helpers::get_fortnox_deliveryterms();
$wayofdeliveries = Uniwin_Fortnox_Helpers::get_fortnox_wayofdeliveries();
$uf_shippingsettings = json_decode(json_encode(get_option('uf_shippingsettings')));
if (isset($_POST['submit'])) {
    unset($_POST['submit']);
    $data = $_POST;
    update_option('uf_shippingsettings', $data);
    echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">Settings updated successfully!</div>';
    $uf_shippingsettings = json_decode(json_encode(get_option('uf_shippingsettings')));
}
?>
<div style="padding:20px 0px">
    <form action="<?php echo admin_url() ?>admin.php?page=uniwin-fortnox&tab=shipping" method="POST">
        <table class="form-table uniwin-fortnox-form-table">
            <tbody>
                <?php
                $zones = WC_Shipping_Zones::get_zones();
                if (($default_zone = new WC_Shipping_Zone(0))) {
                    array_push($zones, $default_zone);
                }

                foreach ($zones as $index => $zone) {
                    $shipping_methods = array();
                    if (is_object($zone)) {
                        $shipping_methods = $zone->get_shipping_methods();
                        $zone_formatted_name = $zone->get_formatted_location();
                    } else {
                        $shipping_methods = $zone['shipping_methods'];
                        $zone_formatted_name = $zone['formatted_zone_location'];
                    }
                    if ($index == 1) {
                ?>

                        <tr>
                            <th style="color:blue;font-size:16px"><?php echo $zone_formatted_name; ?></th>
                            <th>Terms of delivery</th>
                            <th>Way of delivery</th>
                            <th>Article number</th>
                        </tr>
                    <?php
                    } else { ?>
                        <tr>
                            <th colspan="4" style="color:blue;font-size:16px"><?php echo $zone_formatted_name; ?></th>
                        </tr>
                    <?php }
                    foreach ($shipping_methods as $shipping_method) {
                        $description = $shipping_method->get_title();
                        $method_id = $shipping_method->id;
                        $instance_id = $shipping_method->get_instance_id();
                        $uf_deliveryterms_id = 'uf_deliveryterms_' . $method_id . '_' . $instance_id;
                        $uf_deliverymethods_id = 'uf_deliverymethod_' . $method_id . '_' . $instance_id;
                        $uf_shippingarticle_id = 'uf_shippingarticle_' . $method_id . '_' . $instance_id;
                    ?>
                        <tr>
                            <th scope="row" class="titledesc" style="white-space: nowrap;">Shiping Method: <?php echo $description; ?></th>
                            <td class="forminp forminp-checkbox">
                                <fieldset>
                                    <legend class="screen-reader-text"><span>Terms of delivery</span></legend>
                                    <label for="<?php echo $uf_deliveryterms_id; ?>">
                                        <select name="<?php echo $uf_deliveryterms_id; ?>" id="<?php echo $uf_deliveryterms_id; ?>">
                                            <option value="">No terms of delivery</option>
                                            <?php
                                            if (!empty($termsofdeliveries['TermsOfDeliveries'])) {
                                                foreach ($termsofdeliveries['TermsOfDeliveries'] as $termsofdelivery) { ?>
                                                    <option value="<?php echo $termsofdelivery['Code']; ?>" <?php echo (isset($uf_shippingsettings->$uf_deliveryterms_id) && $uf_shippingsettings->$uf_deliveryterms_id == $termsofdelivery['Code']) ? 'selected' : '' ?>><?php echo $termsofdelivery['Description']; ?></option>
                                                <?php }
                                            } else { ?>
                                                <option value="">No terms of delivery found on Fortnox</option>
                                            <?php } ?>
                                        </select>
                                    </label>
                                </fieldset>
                            </td>
                            <td class="forminp forminp-checkbox">
                                <fieldset>
                                    <legend class="screen-reader-text"><span>Way of delivery</span></legend>
                                    <label for="<?php echo $uf_deliverymethods_id; ?>">
                                        <select name="<?php echo $uf_deliverymethods_id; ?>" id="<?php echo $uf_deliverymethods_id; ?>">
                                            <option value="">No way of delivery</option>
                                            <?php
                                            if (!empty($wayofdeliveries['WayOfDeliveries'])) {
                                                foreach ($wayofdeliveries['WayOfDeliveries'] as $wayofdelivery) { ?>
                                                    <option value="<?php echo $wayofdelivery['Code']; ?>" <?php echo (isset($uf_shippingsettings->$uf_deliverymethods_id) && $uf_shippingsettings->$uf_deliverymethods_id == $wayofdelivery['Code']) ? 'selected' : '' ?>><?php echo $wayofdelivery['Description']; ?></option>
                                                <?php }
                                            } else { ?>
                                                <option value="">No way of delivery found on Fortnox</option>
                                            <?php } ?>
                                        </select>
                                    </label>
                                </fieldset>

                            </td>
                            <td class="forminp forminp-checkbox">
                                <fieldset>
                                    <legend class="screen-reader-text"><span>Article number</span></legend>
                                    <label for="<?php echo $id; ?>">
                                        <input name="<?php echo $uf_shippingarticle_id; ?>" id="<?php echo $uf_shippingarticle_id; ?>" value="<?php echo $uf_shippingsettings->$uf_shippingarticle_id ?? '' ?>" type="text">
                                    </label>
                                </fieldset>
                            </td>
                        </tr>
                <?php }
                }
                ?>
                <tr>
                    <th scope="row" class="titledesc"></th>
                    <td class="forminp forminp-checkbox">
                        <button class="button-primary" type="submit" name="submit">Save</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>